# A3Pv2.9/tests/test3_Gray/test.sh
# version sam. juil. 18 06:37:32 CEST 2020

echo "Now let's test some DFF..."

if [ ! -f ../../proasic3v3/proasic3-obj93.cf  ]; then
  echo -n '--> going to ' ; pushd ../../proasic3v3/
  ./build.sh
  echo -n '<-- back to ' ; popd
fi

if [ ! -f ../Y8/ygrec8-obj93.cf  ]; then
  echo -n '--> going to ' ; pushd ../Y8/
  ./build.sh
  echo -n '<-- back to ' ; popd
fi

#VER="--std=93"
PA3="-P../../proasic3v3 -P../Y8"

function run_test() {
  # arg.1 : file/version
  # arg.2 : message
  echo -n " - Gray6 $2 : " &&
  rm -f test_gray6 work-obj93.cf *.o &&
  ghdl -a $PA3 $1 test_Gray6.vhdl &&
  ghdl -e $PA3 test_Gray6 &&
  ./test_gray6 &&
  echo  OK
}

run_test Gray6_behavioral.vhdl "behavioral" &&
run_test Gray6_RTL.vhdl        "       RTL" &&
run_test Gray6_tiles.vhdl      "     Tiles" &&

echo "=> Gray counter : pass"
